TrcStackElemAddr Class Reference

`#include <trc_etmv4_stack_elem.h>`

Inheritance diagram for TrcStackElemAddr:
[legend]
Collaboration diagram for TrcStackElemAddr:
[legend]

## Public Member Functions

void | setAddr (const etmv4_addr_val_t &addr_val)
const etmv4_addr_val_t & | getAddr () const
Public Member Functions inherited from TrcStackElem
| TrcStackElem (const p0_elem_t p0_type, const bool isP0, const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index)
virtual | ~TrcStackElem ()
const p0_elem_t | getP0Type () const
const ocsd_etmv4_i_pkt_type | getRootPkt () const
const ocsd_trc_index_t | getRootIndex () const
const bool | isP0 () const

## Protected Member Functions

| TrcStackElemAddr (const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index)
virtual | ~TrcStackElemAddr ()

## Friends

class | EtmV4P0Stack

## Additional Inherited Members

Protected Attributes inherited from TrcStackElem
bool | m_is_P0

## Detailed Description

Address element

Definition at line 99 of file trc_etmv4_stack_elem.h.

## Constructor & Destructor Documentation

## TrcStackElemAddr()

TrcStackElemAddr::TrcStackElemAddr | ( | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index
| ) |  |

inline protected

Definition at line 115 of file trc_etmv4_stack_elem.h.

## ~TrcStackElemAddr()

virtual TrcStackElemAddr::~TrcStackElemAddr | ( |  | ) |

inline protected virtual

Definition at line 103 of file trc_etmv4_stack_elem.h.

## Member Function Documentation

## getAddr()

const etmv4_addr_val_t& TrcStackElemAddr::getAddr | ( |  | ) | const

inline

Definition at line 109 of file trc_etmv4_stack_elem.h.

## setAddr()

void TrcStackElemAddr::setAddr | ( | const etmv4_addr_val_t & | addr_val | ) |

inline

Definition at line 108 of file trc_etmv4_stack_elem.h.

## Friends And Related Function Documentation

## EtmV4P0Stack

friend class EtmV4P0Stack

friend

Definition at line 103 of file trc_etmv4_stack_elem.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-WqHKQU/libopencsd-0.12.2/decoder/include/opencsd/etmv4/trc_etmv4_stack_elem.h